﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using System.Drawing.Drawing2D;

namespace ProgressBarAdv
{
    public partial class Form1 : MetroForm
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            //To specify the ProgressBar Stle
            this.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.WaitingGradient;
            //To customize the Waiting render
            this.progressBarAdv1.CustomWaitingRender = true;
            ////To enable the waiting gradient
            this.progressBarAdv1.WaitingGradientEnabled = true;
            this.progressBarAdv1.TextStyle = Syncfusion.Windows.Forms.Tools.ProgressBarTextStyles.Custom;
            //To customize the appearance of the Waiting render.
            this.progressBarAdv1.DrawWaitingCustomRender += new Syncfusion.Windows.Forms.Tools.ProgressBarAdvDrawEventHandler(progressBarAdv1_DrawWaitingCustomRender);
        }
        #endregion

        #region Events
        //Handle this event to draw a custom waiting render
        void progressBarAdv1_DrawWaitingCustomRender(object sender, Syncfusion.Windows.Forms.Tools.ProgressBarAdvDrawEventArgs e)
        {
            Region region = new System.Drawing.Region();
            region.MakeEmpty();
            region.Union(e.Rectangle);
            LinearGradientBrush brush = new LinearGradientBrush( new Point(e.Rectangle.X, 0),
                    new Point(e.Rectangle.X + e.Rectangle.Width, 0), Color.Blue, Color.Red);
            e.Graphics.FillRegion(brush, region);
            e.Handled = true;
        }
        #endregion
    }
}
